org.apache.hadoop.yarn.server.webapp

## Class AppBlock

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.View
  - - org.apache.hadoop.yarn.webapp.view.TextView
    - - org.apache.hadoop.yarn.webapp.view.HtmlBlock
      - - org.apache.hadoop.yarn.server.webapp.AppBlock

- All Implemented Interfaces:
    org.apache.hadoop.yarn.webapp.Params, org.apache.hadoop.yarn.webapp.SubView

      public class AppBlock
      extends org.apache.hadoop.yarn.webapp.view.HtmlBlock

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

      `org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block`

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

      `org.apache.hadoop.yarn.webapp.View.ViewContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.hadoop.yarn.api.ApplicationBaseProtocol` | `appBaseProt`
    `protected org.apache.hadoop.yarn.api.records.ApplicationId` | `appID`
    `protected org.apache.hadoop.conf.Configuration` | `conf`

    - ### Fields inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

      `UNAVAILABLE`

    - ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

      `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AppBlock(org.apache.hadoop.yarn.api.ApplicationBaseProtocol appBaseProt, org.apache.hadoop.yarn.webapp.View.ViewContext ctx, org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createApplicationMetricsTable(org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block html)`
    `protected void` | `generateApplicationTable(org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block html, org.apache.hadoop.security.UserGroupInformation callerUGI, Collection<org.apache.hadoop.yarn.api.records.ApplicationAttemptReport> attempts)`
    `protected List<org.apache.hadoop.yarn.api.records.ApplicationAttemptReport>` | `getApplicationAttemptsReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptsRequest request)`
    `protected org.apache.hadoop.yarn.api.records.ApplicationReport` | `getApplicationReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationReportRequest request)`
    `protected org.apache.hadoop.yarn.api.records.ContainerReport` | `getContainerReport(org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportRequest request)`
    `static String` | `getCSRFHeaderString(org.apache.hadoop.conf.Configuration conf)`
    `protected org.apache.hadoop.yarn.api.records.LogAggregationStatus` | `getLogAggregationStatus()`
    `protected void` | `render(org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block html)`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

      `getCallerUGI, render, renderPartial`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

      `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

      `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, request, response, root_url, root, set, setTitle, setTitle, status, url`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### appBaseProt

          protected org.apache.hadoop.yarn.api.ApplicationBaseProtocol appBaseProt

    - #### conf

          protected org.apache.hadoop.conf.Configuration conf

    - #### appID

          protected org.apache.hadoop.yarn.api.records.ApplicationId appID

  - ### Constructor Detail

    - #### AppBlock

          @Inject
          protected AppBlock(org.apache.hadoop.yarn.api.ApplicationBaseProtocol appBaseProt,
                                     org.apache.hadoop.yarn.webapp.View.ViewContext ctx,
                                     org.apache.hadoop.conf.Configuration conf)

  - ### Method Detail

    - #### render

          protected void render(org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block html)

      Specified by:
        `render` in class `org.apache.hadoop.yarn.webapp.view.HtmlBlock`

    - #### generateApplicationTable

          protected void generateApplicationTable(org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block html,
                                                  org.apache.hadoop.security.UserGroupInformation callerUGI,
                                                  Collection<org.apache.hadoop.yarn.api.records.ApplicationAttemptReport> attempts)

    - #### getContainerReport

          protected org.apache.hadoop.yarn.api.records.ContainerReport getContainerReport(org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportRequest request)
                                                                                   throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                          IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### getApplicationAttemptsReport

          protected List<org.apache.hadoop.yarn.api.records.ApplicationAttemptReport> getApplicationAttemptsReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptsRequest request)
                                                                                                            throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                                                   IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### getApplicationReport

          protected org.apache.hadoop.yarn.api.records.ApplicationReport getApplicationReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationReportRequest request)
                                                                                       throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                              IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### createApplicationMetricsTable

          protected void createApplicationMetricsTable(org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block html)

    - #### getLogAggregationStatus

          protected org.apache.hadoop.yarn.api.records.LogAggregationStatus getLogAggregationStatus()

    - #### getCSRFHeaderString

          public static String getCSRFHeaderString(org.apache.hadoop.conf.Configuration conf)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.